include ../car-form/car-form.pug
mixin car-edit(data)
    .car-form
        .car-form__item.car-form__item_method
            .list.list_m
                .list__item
                    label.check.check_l.check_default
                        input(type="radio" name="carEditMethod" value="1" checked)
                        .check__icon
                        .check__content
                            h4 Автоматически
                            .check__description указав ссылку на объявление auto.ru
                .list__item
                    label.check.check_l.check_default
                        input(type="radio" name="carEditMethod" value="2")
                        .check__icon
                        .check__content
                            h4 Вручную
                            .check__description заполнив необходимые поля
        .car-form__item.car-form__item_auto(style="display:none")
            .field
                label.label.label_default.label_s ссылка на объявление auto.ru
                .control.control_default.control_m
                    input(type="text")
                .msg.msg_field.msg_fail Некорретная ссылка
        .car-form__item.car-form__item_manual(style="display:none")
            .car-form__item.fieldset.fieldset_default.fieldset_car-basic
                .fieldset__header
                    h3 Основная информация
                .fieldset__body
                    +car-fieldset(fieldsetCarBasic)
            .car-form__item.fieldset.fieldset_default.fieldset_gallery
                .fieldset__header
                    h3 Фотографии
                .fieldset__body
                    .dropzone
                        label.dropzone__area
                            .dropzone__btn Нажмите или перетащите файлы
                        .dropzone__gallery
                            .gallery.gallery_edit
                                .gallery__item
                                    .gallery__thumb
                                        img(src="https://auto.ru/19z3l1/ca6b425FVjB/kC0Zt/v-M/h1V6395j/MOS5s/Ijuvqo0/sHz4/3mgE6pyBd/-ItDpT/V18wbCd/1n/8VW1gtWS/qTrc/pwSkJJ/SIVwYK/a1MZhQV9/WWct/SgVUKk1YsK/cxLOKd/e2v7A")
                                    .gallery__controls
                                        .btn.btn_s.btn_square
                                            .btn__icon.icon.icon_24
                                                svg
                                                    use(xlink:href="#icon_edit_24")
                                        .btn.btn_s.btn_square
                                            .btn__icon.icon.icon_24
                                                svg
                                                    use(xlink:href="#icon_close_24")
                                .gallery__item
                                    .gallery__thumb
                                        img(src="https://auto.ru/19z3l1/ca6b425FVjB/kC0Zt/v-M/h1V6395j/MOS5s/Ijuvqo0/sHz4/3mgE6pyBd/-ItDpT/V18wbCd/1n/8VW1gtWS/qTrc/pwSkJJ/SIVwYK/a1MZhQV9/WWct/SgVUKk1YsK/cxLOKd/e2v7A")
                                    .gallery__controls
                                        .btn.btn_s.btn_square
                                            .btn__icon.icon.icon_24
                                                svg
                                                    use(xlink:href="#icon_edit_24")
                                        .btn.btn_s.btn_square
                                            .btn__icon.icon.icon_24
                                                svg
                                                    use(xlink:href="#icon_close_24")
                                .gallery__item
                                    .gallery__thumb
                                        img(src="https://auto.ru/19z3l1/ca6b425FVjB/kC0Zt/v-M/h1V6395j/MOS5s/Ijuvqo0/sHz4/3mgE6pyBd/-ItDpT/V18wbCd/1n/8VW1gtWS/qTrc/pwSkJJ/SIVwYK/a1MZhQV9/WWct/SgVUKk1YsK/cxLOKd/e2v7A")
                                    .gallery__controls
                                        .btn.btn_s.btn_square(title="редактировать")
                                            .btn__icon.icon.icon_24
                                                svg
                                                    use(xlink:href="#icon_edit_24")
                                        .btn.btn_s.btn_square(title="удалить")
                                            .btn__icon.icon.icon_24
                                                svg
                                                    use(xlink:href="#icon_close_24")
                        .image-edit
                            .image-edit__preview
                                img(src="https://auto.ru/19z3l1/ca6b425FVjB/kC0Zt/v-M/h1V6395j/MOS5s/Ijuvqo0/sHz4/3mgE6pyBd/-ItDpT/V18wbCd/1n/8VW1gtWS/qTrc/pwSkJJ/SIVwYK/a1MZhQV9/WWct/SgVUKk1YsK/cxLOKd/e2v7A")
                            .image-edit__controls
                                .btn.btn_s.btn_square.image-edit__btn-rotate-left(title="повернуть против часовой")
                                    .btn__icon.icon.icon_24
                                        svg
                                            use(xlink:href="#icon_rotate-left_24")
                                .btn.btn_s.btn_square.image-edit__btn-rotate-right(title="повернуть по часовой")
                                    .btn__icon.icon.icon_24
                                        svg
                                            use(xlink:href="#icon_rotate-right_24")
                                .btn.btn_s.btn_square.image-edit__btn-reset(title="сбросить изменения")
                                    .btn__icon.icon.icon_24
                                        svg
                                            use(xlink:href="#icon_reset_24")
                                .btn.btn_s.btn_default.image-edit__btn-close(title="закрыть")
                                    .btn__title Закрыть
                                .btn.btn_s.btn_primary.image-edit__btn-save(title="сохранить")
                                    .btn__title Сохранить
            .car-form__item.fieldset.fieldset_default.fieldset_car-owner
                .fieldset__header
                    h3 Информация о продавце
                .fieldset__body
                    +car-fieldset(fieldsetCarOwner)
            .car-form__item
                label.check.check_m.check_default
                    input(type="checkbox" name="111" value="1")
                    .check__icon
                    .check__content
                        .check__title перекуп
            .car-form__item
                .btn.btn_m.btn_primary
                    .btn__title Сохранить
    script.
        $(document).ready(function () {
            $('.car-form select').select2({});
        });

        function methodCheck() {
            console.log($("input[name='carEditMethod']:checked").val());
            if ($("input[name='carEditMethod']:checked").val() == "1") {
                $(".car-form__item_auto").show();
                $(".car-form__item_manual").hide();
            } else {
                $(".car-form__item_auto").hide();
                $(".car-form__item_manual").show();
            }
        };
        methodCheck();
        $("input[name='carEditMethod']").on("change", function () {
            methodCheck();
        });

        $(".car-form__item_auto input").on("keyup", function () {
            if ($(this).val() > "0") {
                $(".car-form__item_manual").show();
            }
        });
